<?php
/**
 * @file
 * Main view template
 *
 * Variables available:
 * - $classes_array: An array of classes determined in
 *   template_preprocess_views_view(). Default classes are:
 *     .view
 *     .view-[css_name]
 *     .view-id-[view_name]
 *     .view-display-id-[display_name]
 *     .view-dom-id-[dom_id]
 * - $classes: A string version of $classes_array for use in the class attribute
 * - $css_name: A css-safe version of the view name.
 * - $css_class: The user-specified classes names, if any
 * - $header: The view header
 * - $footer: The view footer
 * - $rows: The results of the view query, if any
 * - $empty: The empty text to display if the view is empty
 * - $pager: The pager next/prev links to display, if any
 * - $exposed: Exposed widget form/info to display
 * - $feed_icon: Feed icon to display, if any
 * - $more: A link to view more, if any
 * - $admin_links: A rendered list of administrative links
 * - $admin_links_raw: A list of administrative links suitable for theme('links')
 *
 * @ingroup views_templates
 */
?>
<div class="<?php print $classes; ?>">
  <?php print render($title_prefix); ?>
  <?php if ($title): ?>
    <?php print $title; ?>
  <?php endif; ?>
  <?php print render($title_suffix); ?>

  <?php if ($rows): ?>

    <div id="<?php print $views_nivo_slider_id ?>" class="views-nivo-slider clearfix">
      <?php foreach ($rows as $row): ?>
        <?php print $row ?>
      <?php endforeach; ?>
    </div>
    <?php if (!empty($view->_vns_captions) && is_array($view->_vns_captions)): ?>
      <?php foreach ($view->_vns_captions as $vns_id => $vns_caption): ?>
        <div id="<?php print $vns_id ?>" class="nivo-html-caption">
          <?php print $vns_caption; ?>
        </div>
      <?php endforeach; ?>
    <?php endif; ?>

  <?php elseif ($empty): ?>
    <div class="view-empty">
      <?php print $empty; ?>
    </div>
  <?php endif; ?>

</div> <?php /* class view */ ?>
